Subject: bug#19232: 25.0.50; ring.el: why not autoload `ring-member' etc.?

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Nov 2014 22:59:39 -0500

tags 19232 notabug
thanks

> Subject line says it all.  Why make users `require' ring.el for such
> functions, or autoload them themselves?  Do what you do now for `ringp'
> and `make-ring' for other functions as well, such as `ring-insert',
> `ring-member', and `ring-next'.  This is a utility library.

I think the error is to autoload ring-p and make-ring.  Of course it's
a bit late to fix it, but that's no reason to add many more autoloads.
Just (require 'ring) like everyone else if you use functions from that
library.

        Stefan